<?php



$tdatahousing = array();
$tdatahousing[".searchableFields"] = array();
$tdatahousing[".ShortName"] = "housing";
$tdatahousing[".OwnerID"] = "";
$tdatahousing[".OriginalTable"] = "housing";


$defaultPages = my_json_decode( "{}" );

$tdatahousing[".pagesByType"] = my_json_decode( "{}" );
$tdatahousing[".pages"] = types2pages( my_json_decode( "{}" ) );
$tdatahousing[".defaultPages"] = $defaultPages;

//	field labels
$fieldLabelshousing = array();
$fieldToolTipshousing = array();
$pageTitleshousing = array();
$placeHoldershousing = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelshousing["English"] = array();
	$fieldToolTipshousing["English"] = array();
	$placeHoldershousing["English"] = array();
	$pageTitleshousing["English"] = array();
	$fieldLabelshousing["English"]["ID"] = "ID";
	$fieldToolTipshousing["English"]["ID"] = "";
	$placeHoldershousing["English"]["ID"] = "";
	$fieldLabelshousing["English"]["housing"] = "Housing";
	$fieldToolTipshousing["English"]["housing"] = "";
	$placeHoldershousing["English"]["housing"] = "";
	if (count($fieldToolTipshousing["English"]))
		$tdatahousing[".isUseToolTips"] = true;
}


	$tdatahousing[".NCSearch"] = true;



$tdatahousing[".shortTableName"] = "housing";
$tdatahousing[".nSecOptions"] = 0;

$tdatahousing[".mainTableOwnerID"] = "";
$tdatahousing[".entityType"] = 0;

$tdatahousing[".strOriginalTableName"] = "housing";

	



$tdatahousing[".showAddInPopup"] = false;

$tdatahousing[".showEditInPopup"] = false;

$tdatahousing[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatahousing[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatahousing[".listAjax"] = false;
//	temporary
$tdatahousing[".listAjax"] = false;

	$tdatahousing[".audit"] = false;

	$tdatahousing[".locking"] = false;


$pages = $tdatahousing[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatahousing[".edit"] = true;
	$tdatahousing[".afterEditAction"] = 1;
	$tdatahousing[".closePopupAfterEdit"] = 1;
	$tdatahousing[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatahousing[".add"] = true;
$tdatahousing[".afterAddAction"] = 1;
$tdatahousing[".closePopupAfterAdd"] = 1;
$tdatahousing[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatahousing[".list"] = true;
}

$tdatahousing[".updateSelected"] = true;


$tdatahousing[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatahousing[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatahousing[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatahousing[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatahousing[".printFriendly"] = true;
}



$tdatahousing[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatahousing[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatahousing[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatahousing[".isUseAjaxSuggest"] = true;

$tdatahousing[".rowHighlite"] = true;



						

$tdatahousing[".ajaxCodeSnippetAdded"] = false;

$tdatahousing[".buttonsAdded"] = false;

$tdatahousing[".addPageEvents"] = false;

// use timepicker for search panel
$tdatahousing[".isUseTimeForSearch"] = false;




$tdatahousing[".allSearchFields"] = array();
$tdatahousing[".filterFields"] = array();
$tdatahousing[".requiredSearchFields"] = array();

$tdatahousing[".googleLikeFields"] = array();
$tdatahousing[".googleLikeFields"][] = "ID";
$tdatahousing[".googleLikeFields"][] = "housing";



$tdatahousing[".tableType"] = "list";

$tdatahousing[".printerPageOrientation"] = 0;
$tdatahousing[".nPrinterPageScale"] = 100;

$tdatahousing[".nPrinterSplitRecords"] = 40;

$tdatahousing[".geocodingEnabled"] = false;










$tdatahousing[".pageSize"] = 20;

$tdatahousing[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatahousing[".strOrderBy"] = $tstrOrderBy;

$tdatahousing[".orderindexes"] = array();

$tdatahousing[".sqlHead"] = "SELECT ID,  	housing";
$tdatahousing[".sqlFrom"] = "FROM housing";
$tdatahousing[".sqlWhereExpr"] = "";
$tdatahousing[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatahousing[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatahousing[".arrGroupsPerPage"] = $arrGPP;

$tdatahousing[".highlightSearchResults"] = true;

$tableKeyshousing = array();
$tableKeyshousing[] = "ID";
$tdatahousing[".Keys"] = $tableKeyshousing;


$tdatahousing[".hideMobileList"] = array();




//	ID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "ID";
	$fdata["GoodName"] = "ID";
	$fdata["ownerTable"] = "housing";
	$fdata["Label"] = GetFieldLabel("housing","ID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "ID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatahousing["ID"] = $fdata;
		$tdatahousing[".searchableFields"][] = "ID";
//	housing
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "housing";
	$fdata["GoodName"] = "housing";
	$fdata["ownerTable"] = "housing";
	$fdata["Label"] = GetFieldLabel("housing","housing");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "housing";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "housing";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatahousing["housing"] = $fdata;
		$tdatahousing[".searchableFields"][] = "housing";


$tables_data["housing"]=&$tdatahousing;
$field_labels["housing"] = &$fieldLabelshousing;
$fieldToolTips["housing"] = &$fieldToolTipshousing;
$placeHolders["housing"] = &$placeHoldershousing;
$page_titles["housing"] = &$pageTitleshousing;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["housing"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["housing"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_housing()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "ID,  	housing";
$proto0["m_strFrom"] = "FROM housing";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "ID",
	"m_strTable" => "housing",
	"m_srcTableName" => "housing"
));

$proto6["m_sql"] = "ID";
$proto6["m_srcTableName"] = "housing";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "housing",
	"m_strTable" => "housing",
	"m_srcTableName" => "housing"
));

$proto8["m_sql"] = "housing";
$proto8["m_srcTableName"] = "housing";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "housing";
$proto11["m_srcTableName"] = "housing";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "ID";
$proto11["m_columns"][] = "housing";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "housing";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "housing";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="housing";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_housing = createSqlQuery_housing();


	
		;

		

$tdatahousing[".sqlquery"] = $queryData_housing;

$tableEvents["housing"] = new eventsBase;
$tdatahousing[".hasEvents"] = false;

?>